;
; nagoya gulf central big bridge
;

Area( 5 N35:03:00.3 E136:51:48.8 25 )
	PerspectiveCall( :L1 )
	ShadowCall( :Shadow )
	Jump( : )

:L1
	Perspective
:Shadow
	Refpoint( 7 :No_object 1 N35:003:00.3 E136:51:48.8 )
	RotatedCall( :L2 0 0 350 )
:No_object
	Return

:L2
	VectorJump( :fromS m 0 0 32767 0 )
	VectorJump( :fromNW m 32767 0 0 0 )

	; from north east
	TransformCall( :Pole -295 0 0  0 0 0 0 0 0 ) ; SW
	TransformCall( :Pole  295 0 0  0 0 0 0 0 0 ) ; SE
	Call( :Road )
	TransformCall( :Pole -295 0 0  0 0 0 0 180 0 ) ; NW
	TransformCall( :Pole  295 0 0  0 0 0 0 180 0 ) ; NE
	Return

:fromNW
	; from north east
	TransformCall( :Pole  295 0 0  0 0 0 0 0 0 ) ; SE
	TransformCall( :Pole -295 0 0  0 0 0 0 0 0 ) ; SW
	Call( :Road )
	TransformCall( :Pole  295 0 0  0 0 0 0 180 0 ) ; NE
	TransformCall( :Pole -295 0 0  0 0 0 0 180 0 ) ; NW
	Return

	; from south
:fromS
	VectorJump( :fromSW m 32767 0 0 0 )

	; from north east
	TransformCall( :Pole -295 0 0  0 0 0 0 180 0 ) ; NW
	TransformCall( :Pole  295 0 0  0 0 0 0 180 0 ) ; NE
	Call( :Road )
	TransformCall( :Pole -295 0 0   0 0 0 0 0 0 ) ; SW
	TransformCall( :Pole  295 0 0   0 0 0 0 0 0 ) ; SE
	Return

:fromSW
	; from north east
	TransformCall( :Pole  295 0 0  0 0 0 0 180 0 ) ; NE
	TransformCall( :Pole -295 0 0  0 0 0 0 180 0 ) ; NW
	Call( :Road )
	TransformCall( :Pole  295 0 0   0 0 0 0 0 0 ) ; SE
	TransformCall( :Pole -295 0 0   0 0 0 0 0 0 ) ; SW
	Return

:Pole
	VectorJump( :PoleW m 32767 0 0 0 )
	
	Call( :WestLine )
	Call( :PoleMain )
	Call( :EastLine )
	Return

:PoleW
	Call( :EastLine )
	Call( :PoleMain )
	Call( :WestLine )
	Return

:PoleMain
	Points( 0
		3  0    -16	; 0
		3  50   -21
		3  190  -8
		3  190  0
		3  185  0
		3  185  -4
		3  127  -10
		3  127  0
		3  122  0
		3  122  -10
		3  50   -16
		3  0    -11

		-3  0    -16	; 12
		-3  50   -21
		-3  190  -8
		-3  190  0
		-3  185  0
		-3  185  -4
		-3  127  -10
		-3  127  0
		-3  122  0
		-3  122  -10
		-3  50   -16
		-3  0    -11


		0  190  -8	; 24 for light
	)

	SurfaceColor( 04 F0 )
	Poly( ai 10 11 23 22 )
	Poly( ai 9 10 22 21 )
	Poly( a 6 7 19 18 )
	Poly( ai 5 6 18 17 )

	Poly( a 0 1 13 12 )
	Poly( a 1 2 14 13 )
	Poly( a 2 3 15 14 )

	ConcavePoly
	Poly( a 0  1  2  3  4  5  6  7  8  9 10 11 )
	ConcavePoly
	Poly( a 12 13 14 15 16 17 18 19 20 21 22 23 )

	IfVarRange( :no_light 28C 2 4 )
	IfVarAnd( :no_light 282 3333 )
	LineColor( 15 F0 )
	DotPt( 24 )
:no_light
	Return	

:EastLine
	Points( 0
		3    122  -12  
		3    138  -11  
		3    154  -9   
		3    169  -8   
		3    185  -6

		70   50   -15  
		125  50   -15  
		180  50   -15  
		235  50   -15  
		290  50   -15  
	)
	LineColor( 04 F0 )
	MoveToPt( 0 )
	DrawToPt( 5 )
	MoveToPt( 1 )
	DrawToPt( 6 )
	MoveToPt( 2 )
	DrawToPt( 7 )
	MoveToPt( 3 )
	DrawToPt( 8 )
	MoveToPt( 4 )
	DrawToPt( 9 )
	Return	

:WestLine
	Points( 0
		-3    122  -12  
		-3    138  -11  
		-3    154  -9   
		-3    169  -8   
		-3    185  -6

		-70   50   -15  
		-125  50   -15  
		-180  50   -15  
		-235  50   -15  
		-290  50   -15  
	)
	LineColor( 04 F0 )
	MoveToPt( 0 )
	DrawToPt( 5 )
	MoveToPt( 1 )
	DrawToPt( 6 )
	MoveToPt( 2 )
	DrawToPt( 7 )
	MoveToPt( 3 )
	DrawToPt( 8 )
	MoveToPt( 4 )
	DrawToPt( 9 )
	Return	

:Road
	Points( 0
		600  46 -15	; 0
		600  50 -15
		600  50 15
		600  46 15

		-600  46 -15	; 4
		-600  50 -15
		-600  50 15
		-600  46 15
	)
	SurfaceColor( 04 F0 )
	Poly( a 0 1 5 4 )
	Poly( a 2 3 7 6 )
	SurfaceColor( 03 F0 )
	Poly( a 1 2 6 5 )
	Return

EndA


